Package com.smartgwt.client.types

# Enum SelectionStyle

java.lang.Object
java.lang.Enum<SelectionStyle>
com.smartgwt.client.types.SelectionStyle

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<SelectionStyle>`, `Constable`

public enum SelectionStyle extends Enum<SelectionStyle> implements ValueEnum
Different styles of selection that a list, etc. might support

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `MULTIPLE`
  select one or more items
  `NONE`
  don't select at all
  `SIMPLE`
  select one or more items as a toggle so you don't need to hold down control keys to select more than one object
  `SINGLE`
  select only one item at a time

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static SelectionStyle`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static SelectionStyle[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NONE

    public static final SelectionStyle NONE
    don't select at all

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "none".

  - ### SINGLE

    public static final SelectionStyle SINGLE
    select only one item at a time

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "single".

  - ### MULTIPLE

    public static final SelectionStyle MULTIPLE
    select one or more items

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "multiple".

  - ### SIMPLE

    public static final SelectionStyle SIMPLE
    select one or more items as a toggle so you don't need to hold down control keys to select more than one object

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "simple".

- ## Method Details

  - ### values

    public static SelectionStyle[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static SelectionStyle valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`